Groovy Documentation

## org.codehaus.groovy.reflection.stdclasses
[Java] Class ArrayCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.ArrayCachedClass

    public class ArrayCachedClass
    extends CachedClass

Authors:
  Alex.Tkachman

Field Summary

Fields inherited from class CachedClass
EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods

Constructor Summary
`ArrayCachedClass(java.lang.Class klazz, ClassInfo classInfo)`

Method Summary
`java.lang.Object` | `coerceArgument(java.lang.Object argument)`

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ArrayCachedClass

    public ArrayCachedClass(java.lang.Class klazz, ClassInfo classInfo)

Method Detail

### coerceArgument

    public java.lang.Object coerceArgument(java.lang.Object argument)

Groovy Documentation